<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Sadrzaj izlaganja</title>
	<LINK REL="stylesheet" TYPE="text/css" HREF="sadrzaj.css" TITLE="formal">
</head>

<?php
$kongres=1;

/* ------------------------------------------------------------------------- */
/* -             Ispis podataka (generisanje JavaScript-a)                 - */
/* ------------------------------------------------------------------------- */
function form_datum($sta, $iz, $u) {
   if ($iz=="YU") {
      $dtt=explode("/", $sta);
      $dan=$dtt[0]; $mes=$dtt[1]; $god=$dtt[2];
      }
   else {
      $dtt=explode("-", $sta);
      $dan=$dtt[2]; $mes=$dtt[1]; $god=$dtt[0];
      }
   if ($u=="YU") {
      $sta=sprintf("%s/%s/%s", $dan, $mes, $god);
      }
   else if ($u=="DOT") {
      $sta=sprintf("%s.%s.%s", $dan, $mes, $god);
      }
   else {
      $sta=sprintf("%s-%s-%s", $god, $mes, $dan);
      }
   return($sta);
   }


function greska() {
   printf("</TABLE></TABLE><CENTER><TABLE WIDTH=200><TR><TD>%s</TD></TR></TABLE>\n", mysql_error());
   die();
   }

if (($sock=mysql_connect(localhost,"root",""))==FALSE) {
   greska();
   }

if ((mysql_select_db("kongresi", $sock))==FALSE) {
   greska();
   }

if (($rezultat=mysql_query("SELECT naziv FROM kongresi WHERE sifra_kongresa=$kongres", $sock))==FALSE) {
   greska();
   }
list($naziv)=mysql_fetch_row($rezultat);
if ($naziv=="") {
   $naziv="Nepoznati naziv kongresa!";
   }
mysql_free_result($rezultat);

?>
<body>
<p align=center style="font-size:22px;"><b><? echo("$naziv"); ?></b></p>
<br>
<?

if (($rezultat=mysql_query("SELECT datum, naziv, tip, sala, moderatori, pocetak, kraj, sifra_sekcije FROM sekcije WHERE sifra_kongresa=$kongres ORDER BY datum, sala, pocetak", $sock))==FALSE) {
   greska();
   }
$kongresa=mysql_num_rows($rezultat);

$poslednji="$$$";
for($k=0; $k<$kongresa; $k++) {
   list($datum,$naziv,$tip,$sala, $moderatori, $pocetak, $kraj, $sifra_sekcije)=mysql_fetch_row($rezultat);
$sss=sprintf("%s %s", $datum, $sala);
if ($poslednji!=$sss) {
   $poslednji=sprintf("%s %s", $datum, $sala);
   $datum=form_datum($datum, "EN", "DOT");
   echo("<p style=\"font:bold 14px; text-decoration: underline;\">$datum\n");
   echo("godine&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n");
   echo("<p align=right style=\"width:90%; font:bold 14px; text-decoration:\n");
   echo("underline;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i>$sala</i></p>\n");

   }

   $p1=substr($pocetak, 3, 2); $p2=substr($pocetak, 6, 2);
   $k1=substr($kraj, 3, 2); $k2=substr($kraj, 6, 2);
   echo("<a name=\"subota830salaA\"></a><ul style=\"margin-top: 8px; font:bold 12px;\">$p1<sup>$p2</sup>-$k1<sup>$k2</sup> <span");
   echo("style=\"color: #405090;\">$tip</span> $naziv");
   if ($tip!="" && $tip!="Skupstina") {
      echo("<p style=\"margin-top: 2px;  font:bold");
      echo("12px;\"><i style=\"color: #0f5fAA;\"><b>Moderator/i $moderatori</b></i></p>\n");
      }

   if (($radovi_fd=mysql_query("SELECT naziv, autori, institucije FROM radovi WHERE sifra_kongresa=$kongres AND sifra_sekcije=$sifra_sekcije ORDER BY sifra_sekcije", $sock))==FALSE) {
      greska();
      }
   $radova=mysql_num_rows($radovi_fd);

   if ($radova>0) {
      echo("	<ul style=\"margin-top: 5px;\" type=\"square\">\n");
      for($j=0; $j<$radova; $j++) {
         list($naziv, $autori, $institucije)=mysql_fetch_row($radovi_fd);
         echo("	<li class=i>$autori</SUP></B>($institucije</SUP></B>):<br>\n");
         echo("	<i>$naziv</i>\n");
         }
      echo("	</ul>\n");
      }

echo("</UL><BR>\n");
/*   echo("</ul>\n</p>\n<br>\n");*/
   }



?>

</body>
</html>
